<?php

class Usergrouplegend_Api_Template extends vB_Api_Extensions
{
	public $product = 'usergrouplegend';
	public $version = '1.0';
	public $developer = 'Yellow Slider';
	public $title = 'Usergroup Legend';
	public $AutoInstall = 1;
	
	public function bulk_fetch($result, $template_names, $styleid = -1, $type = 'compiled')
	{
		if ($result['widget_9'])
		{
			$vboptions = vB::getDatastore()->get_value('options');
			if ($vboptions['usergrouplegend_usergroups'])
			{
				$usergroupcache = vB::getDatastore()->get_value('usergroupcache');
				
				$legend = array();
				foreach (explode(",", str_replace(" ", "", $vboptions['usergrouplegend_usergroups'])) AS $usergroupid)
				{
					$legend[] = $usergroupcache[$usergroupid]['opentag'] . $usergroupcache[$usergroupid]['title'] . $usergroupcache[$usergroupid]['closetag'];
				}
				
				$find = '\' . \'\'; if ($onlineUsers) {';
				$replace = '<p style="font-weight: bold;">' . implode(" &#8226; ", $legend) . '</p>' . $find;
				$result['widget_9'] = str_replace($find, $replace, $result['widget_9']);
				
				return $result;
			}
		}
	}
}

?>